Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CpwData Class Reference
Inheritance diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CpwData:
[legend]
Collaboration diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CpwData:
[legend]

## Public Member Functions
| CpwData (const std::string &iName, hid_t iParentGroup)
size_t | getNumProperties ()
const AbcA::PropertyHeader & | getPropertyHeader (size_t i)
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName)
AbcA::BasePropertyWriterPtr | getProperty (const std::string &iName)
AbcA::ScalarPropertyWriterPtr | createScalarProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const AbcA::MetaData &iMetaData, const AbcA::DataType &iDataType, uint32_t iTimeSamplingIndex)
AbcA::ArrayPropertyWriterPtr | createArrayProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const AbcA::MetaData &iMetaData, const AbcA::DataType &iDataType, uint32_t iTimeSamplingIndex)
AbcA::CompoundPropertyWriterPtr | createCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const AbcA::MetaData &iMetaData)

The documentation for this class was generated from the following files:

- AbcCoreHDF5/CpwData.h
- AbcCoreHDF5/CpwData.cpp